# GstVaDisplayWrapped

This is a GstVaDisplay instantiaton subclass for custom created VADisplay, such as X11 or Wayland, wrapping it.

## GstVaDisplayWrapped

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVaDisplay
                    ╰──GstVaDisplayWrapped

Since : 1.20

### Class structure

#### GstVaDisplayWrappedClass

Since : 1.20

### GstVa.VaDisplayWrappedClass

Since : 1.20

### GstVa.VaDisplayWrappedClass

Since : 1.20

## GstVa.VaDisplayWrapped

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVa.VaDisplay
                    ╰──GstVa.VaDisplayWrapped

Since : 1.20

## GstVa.VaDisplayWrapped

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVa.VaDisplay
                    ╰──GstVa.VaDisplayWrapped

Since : 1.20

### Constructors

#### gst_va_display_wrapped_new

    GstVaDisplay *
    gst_va_display_wrapped_new (gpointer handle)

Creates a GstVaDisplay wrapping an already created and initialized VADisplay.

The lifetime of handle must be hold by the provider while the pipeline is instantiated. Do not call vaTerminate on it while the pipeline is not in NULL state.

Parameters:

`handle` –

a VADisplay to wrap

Returns ( [transfer: full]) –

a new GstVaDisplay if handle is valid, Otherwise NULL.

Since : 1.20

#### GstVa.VaDisplayWrapped.prototype.new

    function GstVa.VaDisplayWrapped.prototype.new(handle: Object): {
        // javascript wrapper for 'gst_va_display_wrapped_new'
    }

Creates a GstVa.VaDisplay wrapping an already created and initialized VADisplay.

The lifetime of handle must be hold by the provider while the pipeline is instantiated. Do not call vaTerminate on it while the pipeline is not in NULL state.

Parameters:

`handle` (Object) –

a VADisplay to wrap

Returns (GstVa.VaDisplay) –

a new GstVa.VaDisplay if handle is valid, Otherwise null.

Since : 1.20

#### GstVa.VaDisplayWrapped.new

    def GstVa.VaDisplayWrapped.new (handle):
        #python wrapper for 'gst_va_display_wrapped_new'

Creates a GstVa.VaDisplay wrapping an already created and initialized VADisplay.

The lifetime of handle must be hold by the provider while the pipeline is instantiated. Do not call vaTerminate on it while the pipeline is not in NULL state.

Parameters:

`handle` (object) –

a VADisplay to wrap

Returns (GstVa.VaDisplay) –

a new GstVa.VaDisplay if handle is valid, Otherwise None.

Since : 1.20

The results of the search are